package org.netkernel.layer0.logging;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.logging.LogRecord;

public class ConsoleFormatter extends java.util.logging.Formatter
{
	private final DateFormat mDateFormat = new SimpleDateFormat("HH:mm:ss");
	
	@Override
	public String format(LogRecord aRecord)
	{
		StringBuilder msg=new StringBuilder(256);
		String level=	aRecord.getLevel().getName();
		output(msg,level.substring(0,1),1);
		msg.append(' ');
		String time=mDateFormat.format(new Date(aRecord.getMillis()));
		msg.append(time);
		msg.append(' ');
	
		String className=aRecord.getSourceClassName();
		if (className==null)
		{	className="                                 ";
		}
		output(msg,className,13);

		msg.append(' ');
		msg.append(aRecord.getMessage());		
		msg.append('\n');
		
		return msg.toString();
	}
	
	private void output(StringBuilder aSB, String aMsg, int aLength)
	{	if (aMsg.length()<=aLength)
		{	aSB.append(aMsg);
			for (int i=aMsg.length(); i<aLength; i++)
			{	aSB.append(' ');
			}
		}
		else
		{	aSB.append(aMsg.substring(0,aLength-1));
			aSB.append('~');
		}
	}	

}
