package org.netkernel.layer0.meta;

import org.netkernel.urii.IMetaRepresentation;

public interface IPrototypeParameterMeta extends IMetaRepresentation
{
	/** Default returned when there is no default
	 */
	static final Object NO_DEFAULT= new String("no default");
	
	/** Return the class which this parameter is expecting. May be one of
	 * String, Integer, Boolean, Float, Long, Double, IIdentifier, ISpace, org.w3c.dom.Element
	 */
	Class getRepresentationalClass();

	/** Return default value for this parameter if it is left unspecified. If it is optional, this will return NO_DEFAULT
	 */
	Object getDefault();
	
	/** Return the minimum number of this parameter required
	 * @return
	 */
	int getMinimumValency();
	
	/** Return the maximum number of this parameter required
	 * @return
	 */
	int getMaximumValency();
}