package org.netkernel.layer0.meta.impl;

import org.netkernel.layer0.meta.IEndpointArgumentMeta;

public class SourcedArgumentMetaImpl extends LightMetaRepresentationImpl implements IEndpointArgumentMeta
{
	private final String mDefaultValue;
	private final Class[] mRequiredRepresentations;
	private static final Class[] DEFAULT_REPS=new Class[]{Object.class};
	
	public SourcedArgumentMetaImpl(String aName, String aDescription, String aDefaultValue, Class[] aRequiredRepresentations)
	{	super(aName,aDescription);
		mDefaultValue=aDefaultValue;
		mRequiredRepresentations=aRequiredRepresentations==null?DEFAULT_REPS:aRequiredRepresentations;
	}

	public String getDefaultValue()
	{	return mDefaultValue;
	}

	public Class[] getRequiredRepresentations()
	{	return mRequiredRepresentations;
	}

	public ArgumentType getArgumentType()
	{	return ArgumentType.REPRESENTATION;
	}

	public String getSubstringType()
	{	return null;
	}
	

	
	public boolean isIdentifier()
	{	return false;
	}

	
	
}
